Get Insight Experience Location Info
curl --request POST \
--url https://api.birdeye.com/resources/v1/insight/experience/locationInfo \
--header 'Content-Type: application/json' \
--data '
{
"reviewSources": [
"Google",
"Facebook",
"CitySearch"
],
"ratings": [
"0",
"1",
"3",
"4",
"5"
],
"businessNumbers": [
172957184851864,
174436684666401
],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
'import requests
url = "https://api.birdeye.com/resources/v1/insight/experience/locationInfo"
payload = {
"reviewSources": ["Google", "Facebook", "CitySearch"],
"ratings": ["0", "1", "3", "4", "5"],
"businessNumbers": [172957184851864, 174436684666401],
"startDate": "02/25/2025",
"endDate": "02/01/2026"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewSources: ['Google', 'Facebook', 'CitySearch'],
ratings: ['0', '1', '3', '4', '5'],
businessNumbers: [172957184851864, 174436684666401],
startDate: '02/25/2025',
endDate: '02/01/2026'
})
};
fetch('https://api.birdeye.com/resources/v1/insight/experience/locationInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 2,
"dataPoints": [
{
"id": 149546078883527,
"name": "194 - Greywolf Veterinary Hospital",
"experienceScore": 93.1,
"listingScore": 86.7,
"sentimentScore": 96.2,
"reputationScore": 93.8,
"experienceDeltaScore": 93,
"listingDeltaScore": 86,
"sentimentDeltaScore": 96,
"reputationDeltaScore": 93,
"experienceDelta": 0.1,
"listingDelta": 0.7,
"reputationDelta": 0.8,
"sentimentDelta": 0.2
},
{
"id": 149546078886677,
"name": "The animal hospital",
"experienceScore": 93.1,
"listingScore": 86.7,
"sentimentScore": 96.2,
"reputationScore": 93.8,
"experienceDeltaScore": 93,
"listingDeltaScore": 86,
"sentimentDeltaScore": 96,
"reputationDeltaScore": 93,
"experienceDelta": 0.1,
"listingDelta": 0.7,
"reputationDelta": 0.8,
"sentimentDelta": 0.2
}
]
}{
"code": 2150,
"message": "Not a valid reseller/enterprise id."
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 2151,
"message": "Not a valid reseller/enterprise id."
}{
"code": 1027,
"message": "Invalid business number."
}Insight AI
Insight Experience Location Info
Insight Experience Location Info API retrieves location-wise experience metrics including sentiment, reputation, experience, and listing scores along with delta comparisons for specified business locations and date ranges.
POST
/
v1
/
insight
/
experience
/
locationInfo
Get Insight Experience Location Info
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User associated businessNumber.
Media type of the JSON request body.
Body
application/json
List of business numbers (max 100).
Start date in MM/DD/YYYY format.
End date in MM/DD/YYYY format.
Review sources to include (e.g. Google, Facebook).
Rating values to filter (e.g. "1", "2", "3", "4", "5").
⌘I